%define	major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

Summary:	Conservative garbage collector for C
Name:		gc
Version:	7.1
Release:	%mkrel 7
License:	BSD
Group:		System/Libraries
URL:		http://www.hpl.hp.com/personal/Hans_Boehm/%{name}/
Source0:	http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/%{name}-%{version}.tar.gz
# fix trying to install two header files twice in the same install command (fixes build)
Patch0:		gc-duplicate-headers-install.patch
Patch1:		gc_mips.patch
BuildRequires:	libatomic_ops-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.

%package -n %{libname}
Summary:	Conservative garbage collector for C
Group:		System/Libraries
Obsoletes:	%{name} < 7.1
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.

%package -n %{develname}
Summary:	Development files and documentation for Bohem's GC
Group:		Development/C
License: 	BSD
Obsoletes:	%{mklibname gc 1 -d} < 7.1
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Header files and documentation needed to develop programs that use Bohem's GC

%package -n %{staticname}
Summary:	Static libraries for Bohem's GC
Group:		Development/C
License: 	BSD
Obsoletes:	%{mklibname gc 1 -d -s} < 7.1
Provides:	lib%{name}-static-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{staticname}
Static libraries neded to develop programs that use Bohem's GC

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .mips

%build
# refresh auto*/libtool to purge rpaths
rm -f libtool libtool.m4
libtoolize --force
autoreconf -i

# or else tkhtml3 won't build on x86-64. the clean way to do this is
# to patch it into the Makefile, but then it doesn't get used for
# mach_dep.lo, and I can't figure out why not - AdamW 2008/12
%ifarch x86_64
export CFLAGS="%{optflags} -fPIC"
%endif

%configure2_5x \
    --disable-dependency-tracking \
    --enable-cplusplus \
    %ifarch %{ix86}
    --enable-parallel-mark \
    %endif
    --enable-threads=pthreads
        
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

rm -rf %{buildroot}%{_datadir}

install -m644 doc/gc.man -D %{buildroot}%{_mandir}/man3/gc.3

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc README.QUICK
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%doc doc/*.html
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_includedir}/gc
%{_includedir}/%{name}/*
%{_includedir}/*h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man?/*

%files -n %{staticname}
%defattr(-, root, root)
%{_libdir}/*.a




%changelog
* Thu Feb 10 2011 dmorgan <dmorgan> 7.1-7.mga1
+ Revision: 49769
- Remove mdv macros
- imported package gc


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 7.1-7mdv2011.0
+ Revision: 605440
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 7.1-6mdv2010.1
+ Revision: 522708
- rebuilt for 2010.1

* Thu Sep 24 2009 Olivier Blin <oblin@mandriva.com> 7.1-5mdv2010.0
+ Revision: 448322
- fix mips support, "nice" regression from 6.8 (from Arnaud Patard)

* Sat Jul 18 2009 Anssi Hannula <anssi@mandriva.org> 7.1-4mdv2010.0
+ Revision: 396975
- fix build failure due to duplicate headers in the same install command
  (duplicate-headers-install.patch, from Mika Laitio)

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 7.1-3mdv2009.1
+ Revision: 310348
- better comment
- build with -fPIC on x86-64 (tkhtml3 build fails without)

* Fri Sep 26 2008 Oden Eriksson <oeriksson@mandriva.com> 7.1-2mdv2009.0
+ Revision: 288616
- rebuild

* Fri Jul 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 7.1-1mdv2009.0
+ Revision: 231792
- rename
- update to new version 7.1
- new library policy
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0:6.8-2mdv2008.1
+ Revision: 150564
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu May 17 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0:6.8-1mdv2008.0
+ Revision: 27627
- Updated to 6.8.
- Minor identation fixes.

